<?php

// $Id: module_body.inc.php 5140 2012-04-11 15:02:10Z calicant $
require_once "lib/test_auth.php";

require ($module_dir . "/lang/$lang/newsletter.diz");
require_once ($module_dir . "/lib/newsletter_class.php");

set_time_limit(0);  // per invio a "parecchi" indirizzi

$smtpconf = array(
    'smtpserver' => $smtpserver,
    'smtpuser' => $smtpuser,
    'smtppassw' => $smtppassw,
    'smtprealm' => $smtprealm
);

if (isset($_POST['newsletter']))
    $newsletter = $_POST['newsletter'];


$nl = new Newsletter ($connh, $_COOKIE['login']);


if ($_GET['panel'] == 'newscompose' || $_POST['panel'] == 'newscompose') {

    if ($_POST['nlcomposehavetosave'] == 1)
        $nl->handleNewsletterComposeSave($newsletter);

    if ($_POST['nlcomposehavetodelete'] == 1)
        $nl->handleNewsletterComposeDelete($newsletter);        

    $nl->outputComposeForm();

}
else {

    $nl->outputJSForm();

    $showNewsletter = -1;


    // si fa un controllo preliminare di permessi



    if (isset($_POST['fnlid']) && is_numeric($_POST['fnlid']) && isset($_POST['fnledit'])) {


        // un controllo sui permessi di modificare questa newsletter
        if (!$nl->hasNewsletterPermission($_POST['fnlid']))
    	die("You have not permission to modify newsletter ID = " . $_POST['fnlid']);
 
        if ($_POST['fnledit'] == 'd')
            $nl->handleNewsletterRemove($_POST['fnlid'], $_POST['fnledit']);

        if ($_POST['fnledit'] == 's') {
	        $showNewsletter = $_POST['fnlid'];

        if (isset($newsletter['bEmailInsert']))
            $nl->handleNewsletterEmailInsert($newsletter, $showNewsletter);

        if (isset($newsletter['bEmailImport']))
	        $nl->handleNewsletterEmailImport($newsletter, $showNewsletter);

        }
    
        // operazioni sulla lista delle emai
        if (isset($newsletter['maillist']) && is_array($newsletter['maillist']) && count($newsletter['maillist'])
    	&& (isset($newsletter['bSetActiveStatusOn']) || isset($newsletter['bSetActiveStatusOff'])
	    || isset($newsletter['bEmailDelete'])) )
	    $nl->handleNewsletterEmailManager($newsletter, $showNewsletter);
    }

    if (isset($newsletter['comefrom']) && $newsletter['comefrom'] == 'newslettercreate') {


        // un controllo sui permessi di questa newsletter
        // se l'id non c'e' stiamo creando una nuova noewsletter
        if (isset($newsletter['newsletter_id']) && !$nl->hasNewsletterPermission($newsletter['newsletter_id']))
            die("You have not permission to modify newsletter ID = " . $newsletter['newsletter_id']);

        $nl->handleNewsletterCreate($newsletter);
    }


    // eventuali errori stampati in testa
    $nl->outError();

    if (isset($newsletter['comefrom']) && $newsletter['comefrom'] == 'newslettersending') {
        $nl->handleNewsletterSending($newsletter, $smtpconf);
    }
    else {

        if ($showNewsletter != -1)
        	$nl->outputNewsletterInfo($newsletter, $showNewsletter, $_POST['neworderby']);
        else {
	        $nl->outputSendingForm();
            //	echo "<br />\n";
        	$nl->outputNewsletterCreate($_POST['fnlid'], $_POST['fnledit']);
            //	echo "<br />\n";
        	$nl->outputNewsletterGroup();
        }
    }
} // else


echo "<br />\n";

?>

